Bug 190847 - [PATCH] Mk/bsd.python.mk: PYTHON_PY3K_PLIST_HACK: Take @dirrmtry entries into account as well.
Summary: [PATCH] Mk/bsd.python.mk: PYTHON_PY3K_PLIST_HACK: Take @dirrmtry entries into...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Ports Framework (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-python (Nobody)
URL:
Keywords:
Depends on:
Blocks: 180467
  Show dependency treegraph
 
Reported: 2014-06-09 21:15 UTC by Raphael Kubo da Costa
Modified: 2014-06-21 16:48 UTC (History)
2 users (show)

See Also:


Attachments
Proposed patch (644 bytes, patch)
2014-06-09 21:15 UTC, Raphael Kubo da Costa
no flags Details | Diff
Patch v2 (689 bytes, patch)
2014-06-13 20:04 UTC, Raphael Kubo da Costa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Raphael Kubo da Costa freebsd_committer 2014-06-09 21:15:52 UTC
Created attachment 143581 [details]
Proposed patch

This was first sent to Phabricator (https://phabric.freebsd.org/D191), so trying here as well.

When using the plist hack to add __pycache__ entries for Python >= 3.2.0, take
@dirrmtry entries into account as well, otherwise if those directories happen
to contain __pycache__ subdirectories the latter will not be removed.
Comment 1 Raphael Kubo da Costa freebsd_committer 2014-06-13 20:04:40 UTC
Created attachment 143752 [details]
Patch v2

Sync patch with the version in Phabricator, as updating the bug here seems to be the easiest way to trigger activity there...
Comment 2 commit-hook freebsd_committer 2014-06-18 19:38:21 UTC
A commit references this bug:

Author: rakuco
Date: Wed Jun 18 19:37:50 UTC 2014
New revision: 358308
URL: http://svnweb.freebsd.org/changeset/ports/358308

Log:
  PYTHON_PY3K_PLIST_HACK: Take @dirrmtry entries into account as well.

  When using the plist hack to add __pycache__ entries for Python >= 3.2.0,
  take @dirrmtry entries into account as well, otherwise if those directories
  happen to contain __pycache__ subdirectories the latter will not be removed.

  CR:		D191
  PR:		190847

Changes:
  head/Mk/bsd.python.mk
Comment 3 commit-hook freebsd_committer 2014-06-21 16:48:37 UTC
A commit references this bug:

Author: rakuco
Date: Sat Jun 21 16:48:02 UTC 2014
New revision: 358717
URL: http://svnweb.freebsd.org/changeset/ports/358717

Log:
  MFH: r358308

  PYTHON_PY3K_PLIST_HACK: Take @dirrmtry entries into account as well.

  When using the plist hack to add __pycache__ entries for Python >= 3.2.0,
  take @dirrmtry entries into account as well, otherwise if those directories
  happen to contain __pycache__ subdirectories the latter will not be removed.

  CR:		D191
  PR:		190847

  Approved by:	portmgr (erwin)

Changes:
_U  branches/2014Q2/
  branches/2014Q2/Mk/bsd.python.mk